import { OpenIdConfiguration } from '../config/openid-configuration';
import * as i0 from "@angular/core";
export declare class AutoLoginService {
    private readonly storageService;
    private readonly router;
    checkSavedRedirectRouteAndNavigate(config: OpenIdConfiguration | null): void;
    /**
     * Saves the redirect URL to storage.
     *
     * @param config The OpenId configuration.
     * @param url The redirect URL to save.
     */
    saveRedirectRoute(config: OpenIdConfiguration | null, url: string): void;
    /**
     * Gets the stored redirect URL from storage.
     */
    private getStoredRedirectRoute;
    /**
     * Removes the redirect URL from storage.
     */
    private deleteStoredRedirectRoute;
    static ɵfac: i0.ɵɵFactoryDeclaration<AutoLoginService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AutoLoginService>;
}
